## org.apache.mahout.cf.taste.hadoop
Class ToEntityPrefsMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,VarLongWritable,VarLongWritable>
          org.apache.mahout.cf.taste.hadoop.ToEntityPrefsMapper

Direct Known Subclasses:
  ToItemPrefsMapper

    public abstract class ToEntityPrefsMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,VarLongWritable,VarLongWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Field Summary
`static String` `RATING_SHIFT`
`static String` `TRANSPOSE_USER_ITEM`

Method Summary
`void` `map(org.apache.hadoop.io.LongWritable key, org.apache.hadoop.io.Text value, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSPOSE_USER_ITEM

    public static final String TRANSPOSE_USER_ITEM

### RATING_SHIFT

    public static final String RATING_SHIFT

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,VarLongWritable,VarLongWritable>`

### map

    public void map(org.apache.hadoop.io.LongWritable key,
                    org.apache.hadoop.io.Text value,
                    org.apache.hadoop.mapreduce.Mapper.Context context)
             throws IOException,
                    InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,VarLongWritable,VarLongWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.